"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFunction = exports.verifySignature = void 0;
const crypto_1 = __importDefault(require("crypto"));
function verifySignature(req, secret) {
    const hmac = crypto_1.default.createHmac('sha256', secret);
    hmac.update(JSON.stringify(req.body), 'utf8');
    const digest = hmac.digest('hex');
    return digest === req.get('sentry-hook-signature');
}
exports.verifySignature = verifySignature;
function isFunction(val) {
    return val != null && typeof val === 'function';
}
exports.isFunction = isFunction;
//# sourceMappingURL=index.js.map